> ## Name

> EmissiveMaterialSource - 3D API emissive material source

> ## Usage

> EmissiveMaterialSource = int(enable)

> ## Valid Enumerants

> enable: true, false

> ## Description

> Enable/disable front and back emmisive color material. See the GL_EMISSION description on the OpenGL glColorMaterial manual page for details. See the D3DRS_EMISSIVEMATERIALSOURCE render state description for DirectX 9.

> The standard reset callback sets the EmissiveMaterialSource state to int(false).

> ## Opengl Functionality Requirements

> OpenGL 1.0

> ## Direct3D Functionality Requirements

> DirectX 9

> ## See Also

> AmbientMaterialSource, ColorMaterial, DiffuseMaterialSource, MaterialAmbient, MaterialDiffuse, MaterialEmission, MaterialEmissive, MaterialPower, MaterialShininess, MaterialSpecular, SpecularMaterialSource